/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\ML Peerless + misc areas\demitel\artifacts\MalkilusRightArm.cs
Lines of code: 45
***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class MalkilusRightArm : GnarledStaff
	{
		public override int ArtifactRarity{ get{ return 15; } }

		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		public override void GetProperties( ObjectPropertyList list )
		{
			base.GetProperties( list );
			{
				list.Add("D E M I T E L");
			}
		}

		[Constructable]
		public MalkilusRightArm()
		{
			Name = "Malkilus' Right Arm";
			Hue = 1175;
			WeaponAttributes.HitLightning = 50;
			WeaponAttributes.HitDispel = 50;
			WeaponAttributes.UseBestSkill = 1;
			WeaponAttributes.HitLeechMana = 33;
			WeaponAttributes.ResistPoisonBonus = 15;
			Attributes.WeaponDamage = 40;
		}

		public MalkilusRightArm( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();

			if ( Hue == 0x44F )
				Hue = 0x76D;
		}
	}
}